package com.qmth.distributed.print.business.service;

import org.activiti.engine.runtime.ProcessInstance;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Map;

/**
 * @Description: activiti service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/12
 */
public interface ActivitiService {

    /**
     * 创建流程
     *
     * @param processFileName
     */
    void createDeployment(String processFileName);

    /**
     * 上传流程文件
     *
     * @param file
     */
    void uploadDeployment(MultipartFile file) throws IOException;

    /**
     * 启动流程
     *
     * @param processKey
     * @param map
     */
    public ProcessInstance startActivity(String processKey, Map<String, Object> map);

    /**
     * 获取任务列表
     */
    void getTaskList();

    /**
     * 完成流程
     *
     * @param taskId
     */
    void complete(String taskId);

    /**
     * 删除流程
     *
     * @param flowId
     */
    void deleteProcessInstance(String flowId);

    /**
     * 记录流程日志
     *
     * @param map
     */
    public void flowLog(Map<String, Object> map);

    /**
     * 根据taskId获取任务
     *
     * @param taskId
     */
    public void approveByTaskId(Long taskId);

    /**
     * 根据id获取任务列表
     *
     * @param userId
     */
    public void getTaskList(Long userId);
}
