package com.qmth.teachcloud.common.enums;

import java.util.Objects;

/**
 * @Description: 流程审批等级 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/2
 */
public enum FlowApproveLevelEnum {

    START("发起人"),

    PRIMARY("一级审核人"),

    SECOND("二级审核人");

    private String title;

    private FlowApproveLevelEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (FlowApproveLevelEnum e : FlowApproveLevelEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
